{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
    {% block extrahead_list %}
    <script type="text/javascript">   
      function cambiarfecha(idrango, mes){         
               window.location="/director/controldiariodir/" + idrango + "/" + mes + "/{{ request.session.gestion }}";
      }
      function cargardatos(f){
        $(".loader").fadeOut("slow");
        $.ajax({
              data: {'director_id': {{ director_id }}, 'xmes': {{ mes }}, 'xanio': {{ request.session.gestion }} },
              url: '/director/cargardatosdir',
              type: 'get',
              success: function(data) {                           
              /////////////////////// CARGAR DATOS MATRIZ ////////////////////////////////////
                  var q=0;                  
                  totalhoras=0;
                  for(j=0; j<data.length;j++){
                     var total=0;  
                     for(var x=0;x<f.length;x++){//recorremos los campos dentro del form
                        if(f[x].name=="horas[]"){//si el nombre campo contiene la palabra 'aporte'
                          if (data[j].fecha == null){
                          }
                          else
                          {   
                            dia = data[j].fecha.substring(9, 10);                            
                            if (f[x].id=="horas"+data[j].proyecto_id+"_"+data[j].etapa_id+"_"+dia){
                               f[x].value=data[j].horas;                           
                            }
                          }                          
                        }
                     }
                  }
                  ///sumartotales(document.formcontrolsupervisor, 30);
              /////////////////////// FIN CARGAR DATOS MATRIZ ////////////////////////////////    
              },
              error: function(message) {
                console.log(message);
              },
            }); 
                 
      }
      function sumartotales(f, dias_mes){
              /////////////////////// CARGAR DATOS MATRIZ ////////////////////////////////////
                  var q=0; 
                  ultimaasignacion=0;         
                  ultimaetapa=0;        
                  nasignacion=0;
                  totalhorasasignacion = 0;
                  for(var dia=1; dia<=dias_mes; dia++){
                     totalhoras=0;
                     for(var x=0;x<f.length;x++){//recorremos los campos dentro del form
                        campo = f[x].id;                        
                        if(f[x].name=="horas[]"){//si el nombre campo contiene la palabra 'horas'
                           ultimoguion=campo.lastIndexOf("_");
                           indicehoras=5;
                           indiceguion=campo.indexOf("_");
                           dia_=parseInt(campo.substring(ultimoguion+1, campo.length));                                                       
                           if (dia==dia_){                             
                            hora=f[x].value; 
                            if (hora!=""){                              
                                 totalhoras+=parseInt(f[x].value);
                            }                                                                                                         
                           }
                        }                      
                      }
                      item=document.getElementById("total_horas_"+dia);
                      if (item){
                         item.value=totalhoras; 
                      }                   
                  }
                  for(var x=0;x<f.length;x++){//recorremos los campos dentro del form
                        campo = f[x].id;
                        if (campo.substring(0, 13)=="total_horasa_".substring(0,13)){ 
                         item=document.getElementById(campo);
                         item.value=totalhorasasignacion;                        
                        }
                        if(f[x].name=="horas[]"){//si el nombre campo contiene la palabra 'horas'                           
                           ultimoguion=campo.lastIndexOf("_");
                           indicehoras=5;
                           indiceguion=campo.indexOf("_");
                           asignacion_=campo.substring(indicehoras, indiceguion);
                           etapa_=campo.substring(indiceguion + 1, indiceguion + 2);
                           if ((ultimaasignacion!=asignacion_) || (ultimaetapa!=etapa_)){                              
                             horasa = f[x].value;                            
                             totalhorasasignacion=0;
                             if (horasa!=""){                               
                                totalhorasasignacion=parseInt(f[x].value);                
                             }                                                         
                             ultimaasignacion=asignacion_;
                             ultimaetapa=etapa_;
                           }             
                           else{
                               horasa = f[x].value;
                               if (horasa!=""){                                                                      
                                   totalhorasasignacion+=parseInt(f[x].value); 
                               }
                           }                                        
                        }                    
                      }
              /////////////////////// FIN CARGAR DATOS MATRIZ ////////////////////////////////    
      }         
    </script>  
    {% endblock %}
{% endblock %}
{% block cuerpo %}  
{% load math_filter %}
<style>
  .loader {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('/static/images/cargando3.gif') 50% 50% no-repeat rgb(249,249,249);
    opacity: .8;
}
</style>
<div class="x_panel">
    <div class="x_title">
           <ul class="nav navbar-right panel_toolbox">
             <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
             </li>
             <li class="dropdown">
                 <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                      <a class="dropdown-item" href="#">Settings 1</a>
                      <a class="dropdown-item" href="#">Settings 2</a>
                    </div>
             </li>
             <li><a class="close-link"><i class="fa fa-close"></i></a></li>
           </ul>
           <div class="clearfix"></div>
    </div>
<form id="formcontrolsupervisor" name="formcontrolsupervisor" action="." method="POST">  {% csrf_token %}    
 <div class="x_content">
<div class="loader"></div>

<input type="hidden" id="supervisor_id" name="supervisor_id" value="{{ supervisor_id}}">  
<strong> <h3>CONTROL MENSUAL DE HORAS DE TRABAJO</h2></strong> 
<p><h2>DIRECTOR : <small>{{ responsable }}</small></h2></p> 
<p><h2>PERIODO : <small><select id="semana" name="semana" onchange="cambiarfecha(document.getElementById('semana').value, document.getElementById('mes').value );">{% for semana in semanas %}<option value="{{ semana.idrango }}" {% if semana.idrango == idrango %} selected  {% endif %}>{{ semana.rango }}</option>{% endfor %}</select></small><small><select id="mes" name="mes" onchange="cambiarfecha(document.getElementById('semana').value, document.getElementById('mes').value );">{% for mes1 in meses %}<option value="{{ mes1.mes }}" {% if mes1.mes == mes %} selected  {% endif %}>{{ mes1.mes_str }}</option>{% endfor %}</select> {{ anio_str }}</small></h2></p>
<input type="hidden" id="anio" name="anio" value="{{ anio_str }}">  
<div class="x_content">
    <ul class="nav nav-tabs bar_tabs" id="myTab" role="tablist">
    {% for etapa in etapas %}    
    <li class="nav-item{% if forloop.first %} active{% endif %}">
    <a class="nav-link{% if forloop.first %} active show {% endif %}" id="{{ etapa.id }}-tab" data-toggle="tab" href="#{{ etapa.id }}" role="tab" aria-controls="{{ etapa.id }}" aria-selected="false"><p><h2><small>{{ etapa.nombre_etapa }}</small></h2></p> </a>
    </li>
    {% endfor %}    
    </ul>
    <div class="tab-content" id="myTabContent">
    {% for etapa in etapas %}      
       <div class="tab-pane fade{% if forloop.first %} active in{% endif %}" id="{{ etapa.id }}" role="tabpanel" aria-labelledby="{{ etapa.id }}-tab">
        <table 
        class="table table-striped table-bordered dt-responsive nowrap"
        cellspacing="0" width="100%">
            <thead>
               <tr>
                  <td rowspan="2"><strong>No</strong></td>
                  <td rowspan="2"><strong>ACTIVIDAD</strong></td>
                  <td rowspan="2"><Strong>Revision</Strong> </td>
                  <td><strong>Fecha</strong></td>
                  {% for dia in dias %}
                  {% if dia.dia_semana == 'Do' or dia.dia_semana == 'Sa' %}
                  {% else %}
                  <td><strong>{{ dia.dia }}</strong></td>                  
                  {% endif %}
                  {% endfor %}                  
                  <td rowspan="2"> <strong>Total etapas</strong></td>
               </tr>
               <tr>
                  <td><strong>Dia</strong></td>
                  {% for dia in dias %}
                  {% if dia.dia_semana == 'Do' or dia.dia_semana == 'Sa' %}
                  {% else %}
                  <td><strong>{{ dia.dia_semana }}</strong></td>
                  {% endif %}
                  {% endfor %}
                </tr>   
             </thead>
            <tbody>              
              {% for proyecto in proyectos %}               
                 <tr>
                  {% if proyecto.nombre_proyecto == 'OTRAS ACTIVIDADES' and etapa.id == 4 %}
                    <td>{{ forloop.counter }}</td>
                    <td>{{ proyecto.nombre_proyecto }}</td>
                    <td></td>
                    <td></td>
                    {% for dia in dias %}
                       {% if dia.dia_semana == 'Do' or dia.dia_semana == 'Sa' %}
                       {% else %}
                        <td><div class="row">
                          <div class="col-xs-2">
                            <input type="hidden" id="proyecto{{ proyecto.id }}_{{ dia.dia }}" name="proyecto[]" value="{{ proyecto.id }}">
                            <input type="hidden" id="fecha{{ proyecto.id }}_{{ dia.dia }}" name="fecha[]" value="{{ anio_str }}-{{ mes }}-{{ dia.dia }}">
                            <input type="hidden" id="etapa{{ proyecto.id }}_{{ dia.dia }}" name="etapa[]" value="{{ etapa.id }}">
                            <input type="text" id="horas{{ proyecto.id }}_{{ etapa.id }}_{{ dia.dia }}" name="horas[]" placeholder="" maxlength="2" size="2" value="" >                            
                          </div>                        
                          </div>
                        </td>
                       {% endif %}                    
                    {% endfor %}
                    <td><input type="text" id="total_horasa_{{ etapa.id }}_{{ forloop.counter }}" name="total_horasa[]" maxlength="2" size="2" value="" readonly="readonly"></td>  
                 {% endif %}
                 {% if proyecto.nombre_proyecto != 'OTRAS ACTIVIDADES' and etapa.id != 4 %}
                 <td>{{ forloop.counter }}</td>
                 <td>{{ proyecto.nombre_proyecto }}</td>
                 <td></td>
                 <td></td>
                 {% for dia in dias %}
                    {% if dia.dia_semana == 'Do' or dia.dia_semana == 'Sa' %}
                    {% else %}
                     <td><div class="row">
                       <div class="col-xs-2">
                         <input type="hidden" id="proyecto{{ proyecto.id }}_{{ dia.dia }}" name="proyecto[]" value="{{ proyecto.id }}">
                         <input type="hidden" id="fecha{{ proyecto.id }}_{{ dia.dia }}" name="fecha[]" value="{{ anio_str }}-{{ mes }}-{{ dia.dia }}">
                         <input type="hidden" id="etapa{{ proyecto.id }}_{{ dia.dia }}" name="etapa[]" value="{{ etapa.id }}">
                         <input type="text" id="horas{{ proyecto.id }}_{{ etapa.id }}_{{ dia.dia }}" name="horas[]" placeholder="" maxlength="2" size="2" value="" >                            
                       </div>                        
                       </div>
                     </td>
                    {% endif %}                    
                 {% endfor %}
                 <td><input type="text" id="total_horasa_{{ etapa.id }}_{{ forloop.counter }}" name="total_horasa[]" maxlength="2" size="2" value="" readonly="readonly"></td>  
              {% endif %}
                    
                 </tr>
                 {% endfor %}
            </tbody>    
        </table>
       </div>
    {% endfor %}      
    </div>
</div>
</div>

<div class="x_panel">
  <div class="x_title">           
         <ul class="nav navbar-right panel_toolbox">           
         </ul>
         <div class="clearfix"></div>
  </div>
  <div class="x_content">
    <table 
        class="table table-striped table-bordered dt-responsive nowrap"
        cellspacing="0" width="100%">
               <tr>
                 <td>0</td>
                 <td>TOTAL HORAS----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------</td>
                 <td>SUP</td>
                <td>
                </td>
                {% for dia in semana %}
                {% if dia.dia_semana == 'Do' or dia.dia_semana == 'Sa' %}
                {% else %}
                <td><div class="row">
                    <div class="col-xs-2">                      
                      <input type="text" id="total_horas_{{ semana.dia }}" name="total_horas[]" placeholder="" maxlength="2" size="2" value="" readonly="readonly">                             
                    </div>                        
                  </div>
                </td>
                {% endif %}
                {% endfor %}
                <td>
                  <input type="text" id="total_horas_total" name="total_horas_total" placeholder="" maxlength="2" size="2" value="" readonly="readonly"> 
                </td>
               </tr>
    </table>           
  </div>
</div>  
<div class="ln_solid"></div>
<div class=" ">
    <button type="submit" class="btn btn-primary"><i class="fa fa-save"></i> Guardar registro</button>
    <a href="{{ list_url }}" class="btn btn-success"><i class="fa fa-times"></i> Cancelar</a>
    <a href='/director/reportemensualdirector?mes=9&gestion={{ request.session.gestion }}' class="btn btn-primary btnTest"><i
                class="fa fa-print"></i> Reporte mensual1</a>
</div>
</form>
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        cargardatos(document.formcontrolsupervisor);        
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollY": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
<script src="/static/js/bootstrap.bundle.min.js"></script> -->
{% endblock %}